QGIS Application - Feature request #10170
Calculations should use the project's CRS, not the layer's
2014-05-04 06:06 AM - Johannes Kroeger

Status: Open

Priority: Normal

Assignee:

Category: Projection Support

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 18624
Description

I am not sure if this is a bug or a feature request. | searched for this issue without success. This might even be controversial.

| just spent too long wondering why Regular Points and Vector Grid gave me useless results. What happened is that they used WGS84
(and thus degrees for the units) while my project used an UTM zone (meters). | expected them to use meters as units, as that's what the
project uses.

Steps to reproduce:

1. Have a layer in WGS84.

2. Set the Project CRS to something metric.

3. Use Regular Points or Vector Grid and use the unit fields as metric fields.
4. See the points or lines placed using WGS84's units.

| guess this would also affect other calculations.
As a user | would expect all unit-related functionality to be using the project's CRS, regardless of the CRS of the affected layer(s).

Related issues:

Related to QGIS Application - Feature request # 2402: Field calculator can't ... Closed
Related to QGIS Application - Feature request # 12939: make the field calcula... Closed 2015-06-11
History

#1 - 2014-06-21 02:28 AM - Jiirgen Fischer
- Category set to Projection Support

#2 - 2014-06-21 07:30 AM - Giovanni Manghi

- OS version deleted (eacb5bd)

- Operating System deleted (Linux)

- Target version set to Future Release - Nice to have
- Tracker changed from Bug report to Feature request

well... by design now calculations are done using layer CRS, so | guess this would be a feature request.

#3 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No
